package com.fufan.mtsaas.modules.sysmgr.syuser.dao;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.fufan.mtsaas.modules.sysmgr.sydept.model.SYDept;
import com.fufan.mtsaas.modules.sysmgr.sygroup.bo.response.SYgroupHResponse;
import com.fufan.mtsaas.modules.sysmgr.sygroup.model.SYgroupH;
import com.fufan.mtsaas.modules.sysmgr.syuser.bo.request.UserGroupQueryRequest;
import com.fufan.mtsaas.modules.sysmgr.syuser.bo.request.UserQueryRequest;
import com.fufan.mtsaas.modules.sysmgr.syuser.model.SYuser;
import com.fufan.mtsaas.modules.sysmgr.syuser.model.SYuserInfo;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
  *  Mapper 接口
 *
 * @author Liby
 * @since 2019-08-14
 */
@Mapper
public interface SYuserDao extends BaseMapper<SYuser> {
    List<SYuserInfo> queryRoleUser(Page page, UserGroupQueryRequest params);

    List<SYuser> selectList(Page page, @Param("params") Map<String, String> params);

    List<SYuserInfo> selectListInfo(Page page, @Param("params") Map<String, String> params);

    int insertRecords(SYuser sYuser);

    int deleteByPk(Integer id);
    int updateRecords(SYuser sYuser);

    @Override
    SYuser selectById(Serializable id);
}